ls-al = path + file-name ->
  temp-file = fs FS_TMP

  - ext <
          name : 'ls.exe'
          parameters : { '-al' }
          workdir : path
          redirect : temp-file
        >

  if (file-exists temp-file) ->
    file-name = temp-file
  else
    <<- ERR_NO_FILE
  ;
;